### 3.2 `fegetenv`—get current floating-point environment ¶

Synopsis

    #include <fenv.h>
    int fegetenv(fenv_t *envp);

    Link with -lm.

Description
This method attempts to return the floating-point environment in the area specified by envp.

Returns
If floating-point environment was successfully returned, then this method returns zero. Otherwise, a non-zero value is returned.

Portability
ANSI C requires `fegetenv`.

Not all Newlib targets have a working implementation. Refer to the file `sys/fenv.h` to see the status for your target.